> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-doc-1256a.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List container flavors

> List all available container flavors in the specified project and region.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/caas/flavors/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: b16bea63ae2e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/caas/flavors/{project_id}/{region_id}:
    get:
      tags:
        - Container as a Service
      summary: List container flavors
      description: >-
        List all available container flavors in the specified project and
        region.
      operationId: CaaSFlavorsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project id
          schema:
            description: Project id
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region id
          schema:
            description: Region id
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: query
          name: name
          required: false
          description: Flavor name
          schema:
            anyOf:
              - pattern: ^[0-9]{0,12}mCPU-[0-9]{0,12}M[i]?B$
                type: string
              - type: 'null'
            default: null
            description: Flavor name
            examples:
              - 128mCPU-128MiB
            title: Name
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaasFlavorListSerializer'
components:
  schemas:
    CaasFlavorListSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/CaasFlavorSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: CaasFlavorListSerializer
      type: object
    CaasFlavorSerializer:
      properties:
        cpu:
          description: Number of millicpu
          example: 128
          examples:
            - 128
          title: Cpu
          type: integer
        name:
          description: Flavor name
          example: 128mCPU-128MiB
          examples:
            - 128mCPU-128MiB
          title: Name
          type: string
        ram:
          description: Megabytes of RAM
          example: 128
          examples:
            - 128
          title: Ram
          type: integer
      required:
        - name
        - cpu
        - ram
      title: CaasFlavorSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````